Subject: Re: termcap problem in RXVT?
From: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
To: Neil Zanella <[email-masked]>, Oleg <[email-masked]>
Cc: [email-masked]
Date: Tue, 19 Mar 2002 15:47:59 -0500

There is no /bin/ash.  There is /bin/sh and /bin/bash.  The shell you get 
when you run /bin/sh is ash and has been since B20 at least (i.e. a VERY
long time).  /bin/sh is not a link to anything.  I hope it's clear to 
everyone now that these two shells are different on Cygwin regardless of 
what they are in other environments (like Linux).  This is Cygwin and 
this is how things are here.

Larry Hall                              [email-masked]
RFK Partners, Inc.                      http://www.rfk.com
838 Washington Street                   (508) 893-9779 - RFK Office
Holliston, MA 01746                     (508) 893-9889 - FAX

At 02:43 PM 3/19/2002, Neil Zanella wrote:

>Perhaps when rxvt was compiled bash was not installed on the system so
>rxvt decided it would use ash as a default, or maybe /bin/sh is a link
>to /bin/ash instead of /bin/bash. I wonder if there is a string one
>can put in the app-defaults file so that /bin/bash is used.
>Alternatively one can put the following line in the ~/.bash_profile
>
>alias rxvt='rxvt -e /bin/bash'
>
>and then
>
>$ source ~/.bash_profile
>
>Bye,
>
>Neil
>
>On Mon, 18 Mar 2002, Oleg wrote:
>
> > I get the same rxvt behavior, so I start it with `rxvt -e /bin/bash`
> > 
> > Oleg
> > 
> > ----- Original Message -----
> > From: "Randall R Schulz" <[email-masked]>
> > To: <[email-masked]>; <[email-masked]>
> > Sent: Monday, March 18, 2002 6:34 PM
> > Subject: Re: termcap problem in RXVT?
> > 
> > 
> > > Jon,
> > >
> > > For whatever reason, you've managed to invoke /bin/sh (ash) instead of
> > BASH
> > > in the RXVT emulator context. Ash doesn't interpret the escape sequences
> > in
> > > the PS1 variable set up by /etc/profile to make the prompt conform to
> > > someone's idea of utility and aesthetic merit.
> > >
> > > I don't know why on this machine you're getting a different shell than on
> > > the others, but I'd investigate spurious or extraneous settings of the
> > > SHELL environment variable, possibly originating at the Windows system
> > level.
> > >
> > > Randall Schulz
> > > Mountain View, CA USA
> > >
> > >
> > > At 15:20 2002-03-18, BERNDT, JON wrote:
> > > >I have installed CygWin on numerous machines using teh nice setup program
> > > >at cygwin.com. Recently, however, I have installed CygWin on two machines
> > > >(one a W2K machine and the other a Win98SE machine) and when I tried to
> > > >run rxvt I got strange behavior for the prompt. If I bring up a bash
> > shell
> > > >immediately after installing, then type "rxvt" at the bash prompt, this
> > is
> > > >what shows up in the rxvt console:
> > > >
> > > >--- start ---
> > > >\[\033]0;\w\007
> > > >\033[32m\]\u@\h \[\033[33m\w\033[0m\]
> > > >$
> > > >--- end ---
> > > >
> > > >I am at a loss to explain what to do. This has not happened to me in
> > prior
> > > >cygwin installs. I checked the FAQ and the mailing list archives for
> > > >March, but could not find any reference to anything new that should have
> > > >caused this.
> > > >
> > > >Jon
> > >
> > >
> > > --
> > > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > > Bug reporting:         http://cygwin.com/bugs.html
> > > Documentation:         http://cygwin.com/docs.html
> > > FAQ:                   http://cygwin.com/faq/
> > 
> > 
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> > 
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/